Skip to main content
POST
/
v1
/
passports
/
{passport_id}
/
token
/
launch
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.shares.lucidLaunchShareToken({
    passportId: "<id>",
    body: {
      name: "Mistral 7B Share",
      symbol: "M7BS",
      totalSupply: 39757,
      decimals: 9,
    },
  });

  console.log(result);
}

run();
{
  "success": true,
  "mint": "So11111111111111111111111111111111111111112",
  "name": "Mistral 7B Share",
  "symbol": "M7BS",
  "supply": "1000000000000000",
  "decimals": 9,
  "passport_id": "ppt_model_7xK9mQ2v"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passport_id
string
required

Passport identifier to launch share token for

Body

application/json
name
string
required

Token name (e.g., "Llama 3.1 Share")

symbol
string
required

Token symbol (e.g., "LLAMA")

totalSupply
integer
required

Total token supply

Required range: x >= 1
decimals
integer
default:6

Token decimals

Required range: 0 <= x <= 18

Response

Token launched

success
boolean
required
mint
string
required

SPL token mint address

txSignature
string
required

Transaction signature

totalSupply
integer
required
provider
string
required

Token launcher provider used